﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace DigitalClock
{
    public partial class Form1 : MetroForm
    {

        #region Variables

        Timer CountDownTimer = new Timer();
        bool isFrozen = false;

        #endregion

        #region Constructor

        public Form1()
        {
            InitializeComponent();
            this.CountDownTimer.Interval = 1000;
            this.CountDownTimer.Tick += new EventHandler(CountDownTimer_Tick);
            this.Load += new EventHandler(Form1_Load);
        }

        #endregion

        #region Events

        void CountDownTimer_Tick(object sender, EventArgs e)
        {
            if ((this.clock1.CustomTime.Second - 1) > 0)
            {
                this.clock1.CustomTime = this.clock1.CustomTime.AddSeconds(-1);
                this.clock2.CustomTime = this.clock1.CustomTime.AddSeconds(-1);
            }
            else
            {
                this.clock1.CustomTime = new DateTime();
                this.clock2.CustomTime = new DateTime();
                this.CountDownTimer.Stop();
                this.buttonAdv1.Text = "Reset the Clock";
            }
        }

        void Form1_Load(object sender, EventArgs e)
        {
            //To show the custom time
            this.clock1.ShowCustomTimeClock = true;
            // To hide Dates in Digital Clock
            this.clock1.DisplayDates = false;
            //To set the Custom time / Reset the clock
            this.clock1.CustomTime = new DateTime();
            this.clock1.CustomTime = this.clock1.CustomTime.AddSeconds(59);
            // To Freeze and Un Freeze the Clock
            this.clock1.StopTimer = true;

            //To show the custom time
            this.clock2.ShowCustomTimeClock = true;
            //To set the Custom time / Reset the clock
            this.clock2.CustomTime = new DateTime();
            this.clock2.CustomTime = this.clock1.CustomTime.AddSeconds(59);
            // To Freeze and Un Freeze the Clock
            this.clock2.StopTimer = true;
            this.buttonAdv1.Text = "Unfreeze";
        }

        // Freeze and Unfreeze behavior
        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            if (!isFrozen)
            {
                this.CountDownTimer.Start();
                this.buttonAdv1.Text = "Freeze";
                isFrozen = true;
            }
            else 
            {
                this.CountDownTimer.Stop();
                this.buttonAdv1.Text = "Unfreeze";
                isFrozen = false;
            }
        }

        // To Reset the time
        private void buttonAdv2_Click(object sender, EventArgs e)
        {
            this.clock1.CustomTime = new DateTime();
            this.clock2.CustomTime = new DateTime();
            this.clock1.CustomTime = this.clock1.CustomTime.AddSeconds(59);
            this.clock2.CustomTime = this.clock2.CustomTime.AddSeconds(59);
            this.buttonAdv1.Text = "Unfreeze";
            isFrozen = false;
            this.CountDownTimer.Stop();
        }

        #endregion
    }
}
